$.Upload = function(){

    // On cache tous les upload
    $('.upload').hide();

	//HK: PRODEAL
	$('.upload label, .firstUpload label').each(function(){
		$(this).attr('for', $(this).siblings('input').attr('id'));
	});

    // Puis on les affiche un par un
    var i = 0;
    $('.ProdealWrapper_add').on('click', function() {
        $('.upload:eq('+ i +')').show("fast");
        i++;
        if (i > 4) {
            // on masque le bouton une fois les 5 upload affichés
            $(".ProdealWrapper_add").css('display', 'none');
        }
    });


    // On affiche le nom de chacun des fichiers upload
	//HK: PRODEAL
    $('.file0').change(function() {
        var filepath = this.value;
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];

        $('.choose0').html('<span>'+filename+'</span>');
    });

    $('.file1').change(function() {
        var filepath = this.value;
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];

        $('.choose1').html('<span>'+filename+'</span>');
    });

    $('.file2').change(function() {
        var filepath = this.value; 
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];

        $('.choose2').html('<span>'+filename+'</span>');
    });

    $('.file3').change(function() {
        var filepath = this.value;
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];
        $('.choose3').html('<span>'+filename+'</span>');
    });


    $('.file4').change(function() {
        var filepath = this.value;
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];

        $('.choose4').html('<span>'+filename+'</span>');
    });

    $('.file5').change(function() {
        var filepath = this.value;
        var m = filepath.match(/([^\/\\]+)$/);
        var filename = m[1];

        $('.choose5').html('<span>'+filename+'</span>');
    });

}
